import { Singleton } from "../../Common/Singleton";
import { AddRemarkType } from "../../DatabaseServices/Entity/BoardInterface";
import { FindModifyStyle } from "../Components/Board/BoardFindInterface";
import { IConfigOption } from "../Components/Board/UserConfigComponent";
import { IBoardAddRemark, IBoardUpdataRemark } from "./BoardFindInterface";
import { IConfigStore } from "./BoardStore";
export declare class BoardAddRemarkStore extends Singleton implements IConfigStore {
    configName: string;
    configsNames: string[];
    option: {
        version: number;
        addRemarkArr: (string | boolean | AddRemarkType)[][];
    };
    private initialized;
    InitOption(): void;
    SaveConfig(): IConfigOption<IBoardAddRemark>;
    UpdateOption(cof: IConfigOption<IBoardAddRemark>): void;
}
export declare const addRemarkStore: BoardAddRemarkStore;
export declare class BoardUpdateRemarkStore extends Singleton implements IConfigStore {
    configName: string;
    configsNames: string[];
    option: {
        version: number;
        updataRemarkArr: (string | boolean)[][];
        queryType: FindModifyStyle;
    };
    private initialized;
    InitOption(): void;
    SaveConfig(): IConfigOption<IBoardUpdataRemark>;
    UpdateOption(cof: IConfigOption<IBoardUpdataRemark>): void;
}
export declare const updateRemarkStore: BoardUpdateRemarkStore;
//# sourceMappingURL=BoardFindRemarkStore.d.ts.map