import { Singleton } from "../../Common/Singleton";
import { IConfigOption } from "../../UI/Components/Board/UserConfigComponent";
import { IConfigStore } from "../../UI/Store/BoardStore";
import { AnyObject, ExtrudePl2BoardOption, IUiOption } from "../../UI/Store/OptionInterface/IOptionInterface";
export declare class ExtrudePl2BoardStore extends Singleton implements IConfigStore {
    configName: string;
    configsNames: any[];
    m_Option: ExtrudePl2BoardOption;
    m_UiOption: IUiOption<ExtrudePl2BoardOption>;
    get UIOption(): IUiOption<ExtrudePl2BoardOption>;
    InitOption(): void;
    SaveConfig(): IConfigOption<ExtrudePl2BoardOption>;
    UpdateOption(cof: IConfigOption<ExtrudePl2BoardOption>): void;
    HasInvailValue(): string;
    OnOk(state: number, isClose?: boolean, d?: AnyObject): Promise<void>;
}
//# sourceMappingURL=ExtrudePl2BoardStore.d.ts.map